Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8134884

Incompatible types in libosxapp when compiling against macosx10.10 sdk

    Details

    • Type: Task
    • Status: Resolved
    • Priority: P4
    • Resolution: Won't Fix
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: client-libs
    • Labels:
    • Subcomponent:
      2d
    • OS:
      os_x

      Description

      When building on Macosx, using Xcode 6.3, which comes with macosx10.10 sdk, the following warning (turned to error) fails the build. Forcing macosx10.9 sdk avoids the problem. We would like to be able to use the 10.10 sdk when upgrading compilers in JDK 9.

      /Users/jprtadm/erik/jdk9-dev/jdk/src/java.desktop/macosx/native/libosxapp/NSApplicationAWT.m:441:29: error: sending 'id<NSApplicationDelegate>' to parameter of incompatible type 'id<NSFileManagerDelegate>' [-Werror]
              [NSApp setDelegate: applicationDelegate];
                                  ^~~~~~~~~~~~~~~~~~~
      /ManualApplications/Xcode6.3.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/System/Library/Frameworks/Foundation.framework/Headers/NSFileManager.h:109:47: note: passing argument to parameter 'delegate' here
      @property (assign) id <NSFileManagerDelegate> delegate NS_AVAILABLE(10_5, 2_0);
                                                    ^
      1 error generated.


      To reproduce, build on macosx 10.10, or use Xcode 6.3 on an older OS. Adding --with-sdk-name=macosx10.10 to configure may also help.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                erikj Erik Joelsson
                Reporter:
                erikj Erik Joelsson
              • Votes:
                0 Vote for this issue
                Watchers:
                9 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: